import { IMessageDefinition } from "@brightside/imperative";
/**
 * Constants for workflow related APIs.
 * @export
 * @class WorkflowConstants
 */
export declare class WorkflowConstants {
    /**
     * URI base for workflow API.
     * @static
     * @type {string}
     * @memberof WorkflowConstants
     */
    static readonly RESOURCE: string;
    /**
     * URI base for workflows API.
     * @static
     * @type {string}
     * @memberof WorkflowConstants
     */
    static readonly WORKFLOW_RESOURCE: string;
    /**
     * URI base for starting workflow API.
     * @static
     * @type {string}
     * @memberof WorkflowConstants
     */
    static readonly START_WORKFLOW: string;
    /**
     * URI base for filtering workflow by name API.
     * @static
     * @type {string}
     * @memberof WorkflowConstants
     */
    static readonly WF_NAME: string;
    /**
     * Version of the z/OSMF
     * @static
     * @type {string}
     * @memberOf WorkflowConstants
     */
    static readonly ZOSMF_VERSION: string;
}
/**
 * Error message that no session was supplied.
 * @static
 * @type {IMessageDefinition}
 * @memberof WorkflowConstants
 */
export declare const noSession: IMessageDefinition;
/**
 * Error message that no z/OSMF version parameter string was supplied.
 * @static
 * @type {IMessageDefinition}
 * @memberof WorkflowConstants
 */
export declare const nozOSMFVersion: IMessageDefinition;
/**
 * Error message that no workflow key string was supplied.
 * @static
 * @type {IMessageDefinition}
 * @memberof WorkflowConstants
 */
export declare const noWorkflowKey: IMessageDefinition;
/**
 * Error message that no workflow definition file parameter string was supplied.
 * @static
 * @type {IMessageDefinition}
 * @memberof WorkflowConstants
 */
export declare const noWorkflowDefinitionFile: IMessageDefinition;
/**
 * Error message that no workflow name parameter string was supplied.
 * @static
 * @type {IMessageDefinition}
 * @memberof WorkflowConstants
 */
export declare const noWorkflowName: IMessageDefinition;
/**
 * Error message that no system name parameter string was supplied.
 * @static
 * @type {IMessageDefinition}
 * @memberof WorkflowConstants
 */
export declare const noSystemName: IMessageDefinition;
/**
 * Error message that no owner parameter string was supplied.
 * @static
 * @type {IMessageDefinition}
 * @memberof WorkflowConstants
 */
export declare const noOwner: IMessageDefinition;
export declare const wrongPath: IMessageDefinition;
export declare const wrongOwner: IMessageDefinition;
